struct sino_info{
 int    n_theta;
 int    n_t;
 float  delta_theta;
 float  delta_t;
 float  theta_0;
 float  t_0;
 int dec_a, dec_t;
 };

struct column{
 float *val;
 int *row;
 int n_row;
 float multiplier;
 };


struct geom_info{
 float delta;
 float x_0;
 float y_0;
 int n_y;
 int n_x;
 float dia;
 };

void pix_prof_comp(
 struct sino_info *sino,
 struct geom_info *geom,
 float ***pix_prof);

void A_comp(
 int im_row, int im_col,
 struct sino_info *sino,
 struct geom_info *geom,
 float **pix_prof,
 struct column *sp_col);

#include <mat.h>

void read_mat_sino_info(
  MATFile *fin,       /* pointer to file */
  struct sino_info *sino /* Structure of specs from sinogram    */
  );

